From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-862677-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	by finch.gentoo.org (Postfix) with ESMTP id AF41758973
	for <garchives@archives.gentoo.org>; Thu, 11 Feb 2016 08:26:06 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 42FC221C003;
	Thu, 11 Feb 2016 08:26:04 +0000 (UTC)
Received: from smtp.gentoo.org (smtp.gentoo.org [140.211.166.183])
	(using TLSv1.2 with cipher AECDH-AES256-SHA (256/256 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id D8A8921C003
	for <gentoo-commits@lists.gentoo.org>; Thu, 11 Feb 2016 08:26:03 +0000 (UTC)
Received: from oystercatcher.gentoo.org (unknown [IPv6:2a01:4f8:202:4333:225:90ff:fed9:fc84])
	(using TLSv1.2 with cipher AECDH-AES256-SHA (256/256 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 94633340B9F
	for <gentoo-commits@lists.gentoo.org>; Thu, 11 Feb 2016 08:26:02 +0000 (UTC)
Received: from localhost.localdomain (localhost [127.0.0.1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 2DBCE8E1
	for <gentoo-commits@lists.gentoo.org>; Thu, 11 Feb 2016 08:25:57 +0000 (UTC)
From: "Fabian Groffen" <grobian@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Fabian Groffen" <grobian@gentoo.org>
Message-ID: <1455179149.c46a8b5aa5af075cb0350e8a0a023b0de1c811a2.grobian@gentoo>
Subject: [gentoo-commits] repo/proj/prefix:master commit in: scripts/
X-VCS-Repository: repo/proj/prefix
X-VCS-Files: scripts/bootstrap-prefix.sh
X-VCS-Directories: scripts/
X-VCS-Committer: grobian
X-VCS-Committer-Name: Fabian Groffen
X-VCS-Revision: c46a8b5aa5af075cb0350e8a0a023b0de1c811a2
X-VCS-Branch: master
Date: Thu, 11 Feb 2016 08:25:57 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Archives-Salt: 1c290cd5-195e-40c9-a4d4-26e1aa0fd040
X-Archives-Hash: 6bb74c4c00d1b939ff46367ece5bbc09

commit:     c46a8b5aa5af075cb0350e8a0a023b0de1c811a2
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 11 08:25:49 2016 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Thu Feb 11 08:25:49 2016 +0000
URL:        https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=c46a8b5a

scripts/bootstrap-prefix.sh: be a bit more careful with CFLAGS during initial phases

 scripts/bootstrap-prefix.sh | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/scripts/bootstrap-prefix.sh b/scripts/bootstrap-prefix.sh
index 915ee71..d31a8ed 100755
--- a/scripts/bootstrap-prefix.sh
+++ b/scripts/bootstrap-prefix.sh
@@ -1061,6 +1061,7 @@ do_emerge_pkgs() {
 		FEATURES="-news ${FEATURES}" \
 		PYTHONPATH="${ROOT}"/tmp/usr/lib/portage/pym \
 		USE="-berkdb -fortran -gdbm -git -libcxx -nls -pcre -ssl -python bootstrap clang internal-glib ${USE}" \
+		CFLAGS= CXXFLAGS= \
 		emerge -v --oneshot --root-deps ${opts} "${pkg}" || return 1
 	done
 }
@@ -1145,7 +1146,9 @@ bootstrap_stage2() {
 			echo "BUILD_CC=${CHOST}-clang"
 			echo "BUILD_CXX=${CHOST}-clang++"
 		} >> "${ROOT}"/etc/portage/make.conf
-		# llvm-3.4 isn't setup to provide the CHOST symlinks, so we'll
+		# llvm won't setup symlinks to CHOST-clang here because
+		# we're in a cross-ish situation (at least according to
+		# multilib.eclass -- can't blame it at this point really)
 		# do it ourselves here to make the bootstrap continue
 		( cd "${ROOT}"/tmp/usr/bin && ln -s clang ${CHOST}-clang && ln -s clang++ ${CHOST}-clang++ )
 	else
@@ -1273,10 +1276,10 @@ bootstrap_stage3() {
 	fi
 
 	# temporarily work around c_rehash missing openssl dependency, bug #572790
-	emerge -1 openssl || return 1
+	CFLAGS= CXXFLAGS= emerge -1 openssl || return 1
 
 	# Portage should figure out itself what it needs to do, if anything
-	USE="-git" emerge -u system || return 1
+	CFLAGS= CXXFLAGS= USE="-git" emerge -u system || return 1
 
 	# remove anything that we don't need (compilers most likely)
 	emerge --depclean